# Statuses

Voucher and event ticket codes have a status attribute, the status is one of three things that decide if the code can be used for any action.&#x20;

{% tabs %}
{% tab title="Redeemable" %}

<table><thead><tr><th width="199">Status</th><th>Meaning</th></tr></thead><tbody><tr><td>Valid</td><td>The voucher is inside its validity dates and has balance that can be used.</td></tr><tr><td>Grace Period</td><td>The <code>expiryDate</code> is in the past but the <code>graceExpiryDate</code> is still in the future.</td></tr><tr><td>Partially Redeemed</td><td>Some but not all of the voucher balance has been used.</td></tr><tr><td></td><td></td></tr></tbody></table>
{% endtab %}

{% tab title="Not redeemable" %}

<table><thead><tr><th width="191">Status</th><th>Meaning</th></tr></thead><tbody><tr><td>Redeemed</td><td>The voucher has already been fully used.</td></tr><tr><td>Void</td><td>The voucher was cancelled and the customer refunded if applicable.</td></tr><tr><td>Chargeback</td><td>A chargeback against the order occurred. A chargeback can be won in the future in which case the code will return to valid, assuming it has not expired. If the chargeback is lost then it remains in this status forever.</td></tr><tr><td>Not Yet Valid</td><td>The voucher will become valid to use in the future, check the <code>validFromDate</code></td></tr><tr><td>Expired</td><td>The voucher has passed its <code>expiryDate</code> and <code>graceExpiryDate</code></td></tr></tbody></table>

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.giftpro.co.uk/reference/codes/statuses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
